Сылтамалар
GET https://links.kodx.uk/api/links/
curl --request GET \
--url 'https://links.kodx.uk/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://links.kodx.uk/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| Параметрҙар | Төҙөмтәләр | Тасвирлама |
|---|---|---|
| page | Ихтималлы Бүтән сан | Нәтижәләрҙе теләгән бит номеры. Дефолт 1 була. |
| results_per_page | Ихтималлы Бүтән сан | Һеҙ биткә ни тиклем һөҙөмтә теләйһегеҙ. Рөхсәт ителгән ҡиммәттәр: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Дефолт 25 тип билдәләнгән. |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-10-13 20:55:38"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://links.kodx.uk/api/links?&page=1",
"last": "https://links.kodx.uk/api/links?&page=1",
"next": null,
"prev": null,
"self": "https://links.kodx.uk/api/links?&page=1"
}
}
GET https://links.kodx.uk/api/links/{link_id}
curl --request GET \
--url 'https://links.kodx.uk/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://links.kodx.uk/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-10-13 20:55:38"
}
}
POST https://links.kodx.uk/api/links
| Параметрҙар | Төҙөмтәләр | Тасвирлама |
|---|---|---|
| type | Ихтималлы Строка | link |
| location_url | Таләп ителә Строка | Мәксат урынының URL-ы.Ҡайҙа: is_bulk = 0 |
| location_urls | Таләп ителә Строка | Мәксат урынының URL-ы.Ҡайҙа: is_bulk = 1 |
| url | Ихтималлы Строка | Генерацияланған сылтауның URL алиасы. Кездейсоқ генерацияланғаны өсөн буш ҡалдырғыҙ.Ҡайҙа: is_bulk = 0 |
| is_bulk | Ихтималлы Логик типы | |
| domain_id | Ихтималлы Бүтән сан | - |
| project_id | Ихтималлы Бүтән сан | - |
| pixels_ids | Ихтималлы Массив Бүтән сан | - |
| email_reports | Ихтималлы Массив | Уведомление эшкәртеүсе идентификаторҙары |
| schedule | Ихтималлы Логик типы | - |
| start_date | Ихтималлы Строка | Ҡайҙа: schedule = true |
| end_date | Ихтималлы Строка | Ҡайҙа: schedule = true |
| clicks_limit | Ихтималлы Бүтән сан | - |
| expiration_url | Ихтималлы Строка | - |
| sensitive_content | Ихтималлы Логик типы | - |
| http_status_code | Ихтималлы Бүтән сан | Рөхсәт ителгән ҡиммәттәр: 301, 302, 307, 308 |
| app_linking_is_enabled | Ихтималлы Логик типы | - |
| cloaking_is_enabled | Ихтималлы Логик типы | - |
| cloaking_title | Ихтималлы Строка | - |
| cloaking_meta_description | Ихтималлы Строка | - |
| cloaking_custom_js | Ихтималлы Строка | - |
| cloaking_favicon | Ихтималлы Файл | - |
| cloaking_opengraph | Ихтималлы Файл | - |
| password | Ихтималлы Строка | - |
| forward_query_parameters_is_enabled | Ихтималлы Логик типы | - |
| utm_source | Ихтималлы Строка | - |
| utm_medium | Ихтималлы Строка | - |
| utm_campaign | Ихтималлы Строка | - |
| targeting_type | Ихтималлы Строка | continent_code , country_code , device_type , browser_language , rotation , os_name , browser_name |
| targeting_continent_code_key[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = continent_code |
| targeting_continent_code_value[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = continent_code |
| targeting_country_code_key[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = country_code |
| targeting_country_code_value[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = country_code |
| targeting_city_name_key[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = city_name |
| targeting_city_name_value[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = city_name |
| targeting_device_type_key[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = device_type |
| targeting_device_type_value[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = device_type |
| targeting_browser_language_key[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = browser_language |
| targeting_browser_language_value[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = browser_language |
| targeting_rotation_key[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = rotation |
| targeting_rotation_value[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = rotation |
| targeting_os_name_key[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = os_name |
| targeting_os_name_value[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = os_name |
| targeting_browser_name_key[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = browser_name |
| targeting_browser_name_value[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = browser_name |
curl --request POST \
--url 'https://links.kodx.uk/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://links.kodx.uk/' \
--url 'https://links.kodx.uk/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://links.kodx.uk/' \
{
"data": {
"id": 1
}
}
POST https://links.kodx.uk/api/links/{link_id}
| Параметрҙар | Төҙөмтәләр | Тасвирлама |
|---|---|---|
| location_url | Ихтималлы Строка | Мәксат урынының URL-ы. |
| url | Ихтималлы Строка | Генерацияланған сылтауның URL алиасы. Кездейсоқ генерацияланғаны өсөн буш ҡалдырғыҙ. |
| domain_id | Ихтималлы Бүтән сан | - |
| project_id | Ихтималлы Бүтән сан | - |
| pixels_ids | Ихтималлы Массив Бүтән сан | - |
| email_reports | Ихтималлы Массив | Уведомление эшкәртеүсе идентификаторҙары |
| schedule | Ихтималлы Логик типы | - |
| start_date | Ихтималлы Строка | Ҡайҙа: schedule = true |
| end_date | Ихтималлы Строка | Ҡайҙа: schedule = true |
| clicks_limit | Ихтималлы Бүтән сан | - |
| expiration_url | Ихтималлы Строка | - |
| sensitive_content | Ихтималлы Логик типы | - |
| http_status_code | Ихтималлы Бүтән сан | Рөхсәт ителгән ҡиммәттәр: 301, 302, 307, 308 |
| app_linking_is_enabled | Ихтималлы Логик типы | - |
| cloaking_is_enabled | Ихтималлы Логик типы | - |
| cloaking_title | Ихтималлы Строка | - |
| cloaking_meta_description | Ихтималлы Строка | - |
| cloaking_custom_js | Ихтималлы Строка | - |
| cloaking_favicon | Ихтималлы Файл | - |
| cloaking_opengraph | Ихтималлы Файл | - |
| password | Ихтималлы Строка | - |
| forward_query_parameters_is_enabled | Ихтималлы Логик типы | - |
| utm_source | Ихтималлы Строка | - |
| utm_medium | Ихтималлы Строка | - |
| utm_campaign | Ихтималлы Строка | - |
| targeting_type | Ихтималлы Строка | continent_code , country_code , device_type , browser_language , rotation , os_name , browser_name |
| targeting_continent_code_key[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = continent_code |
| targeting_continent_code_value[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = continent_code |
| targeting_country_code_key[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = country_code |
| targeting_country_code_value[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = country_code |
| targeting_city_name_key[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = city_name |
| targeting_city_name_value[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = city_name |
| targeting_device_type_key[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = device_type |
| targeting_device_type_value[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = device_type |
| targeting_browser_language_key[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = browser_language |
| targeting_browser_language_value[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = browser_language |
| targeting_rotation_key[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = rotation |
| targeting_rotation_value[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = rotation |
| targeting_os_name_key[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = os_name |
| targeting_os_name_value[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = os_name |
| targeting_browser_name_key[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = browser_name |
| targeting_browser_name_value[index] | Ихтималлы Строка | Ҡайҙа: targeting_type = browser_name |
curl --request POST \
--url 'https://links.kodx.uk/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://links.kodx.uk/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://links.kodx.uk/api/links/{link_id}
curl --request DELETE \
--url 'https://links.kodx.uk/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://links.kodx.uk/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \